<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" width="100%" height="100%"
			   xmlns:s="library://ns.adobe.com/flex/spark" title="Gerar arquivo de Cheques para CACHÉ" 
			   xmlns:mx="library://ns.adobe.com/flex/mx" xmlns:visual="br.com.desenv.framework.component.visual.*" 
			   close="titlewindow1_closeHandler(event)" xmlns:component="br.com.desenv.nepalign.view.component.*">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.controls.DateField;
			import mx.events.CloseEvent;
			import mx.managers.PopUpManager;
			
			
			[Bindable]
			private var opRunning:Boolean = false;
			
			protected function gerarArquivo_clickHandler(event:MouseEvent):void
			{
				if(ignTextInputDateDataInicial.data == null)
					Alert.show("Data inválida!", "Mensagem");
				else if(dsvPerfilEmpresa.recuperarEmpresaFisicaSelecionada == null)
					Alert.show("Informe uma empresa!");
				else
				{
					opRunning = true;
					AMFConnector.instance.prepararObjetoRemoto("chequeRecebidoService", gerarAquivoResultListener).getOperation("exportarCheque").send(dsvPerfilEmpresa.recuperarEmpresaFisicaSelecionada, ignTextInputDateDataInicial.data);	
				}
			}
			
			public function gerarAquivoResultListener(event:ResultEvent):void
			{
				try
				{
					var outFile:File = File.desktopDirectory;
					outFile = outFile.resolvePath("CHEQUE" + (dsvPerfilEmpresa.recuperarEmpresaFisicaSelecionada.id.toString().length == 1 ? "0" + dsvPerfilEmpresa.recuperarEmpresaFisicaSelecionada.id.toString() : dsvPerfilEmpresa.recuperarEmpresaFisicaSelecionada.id.toString()) + DateField.dateToString(ignTextInputDateDataInicial.data, "DDMMYYYY"));
					outFile.addEventListener(Event.SELECT, function(selectEvent:Event):void
					{
						try
						{
							if(outFile.exists)
								outFile.deleteFile();
							
							var outStream:FileStream = new FileStream(); 
							outStream.open(outFile, FileMode.WRITE); 
							outStream.writeBytes(event.result as ByteArray, 0, (event.result as ByteArray).length); 
							outStream.close();	
						}
						catch(e:Error)
						{
							syserr(e);
							Alert.show("Não foi possível gerar o arquivo no seu computador!", "Mensagem");
						}
						finally
						{
							Alert.show("Arquivo gerado com sucesso!", "Mensagem    ");
						}
					});
					outFile.browseForSave("Salvar Arquivo de Estoque");
				}
				catch(e:Error)
				{
					syserr(e);
					Alert.show("Não foi possível abrir o Save Dialog!", "Mensagem");
				}
				finally
				{
					opRunning = false;
				}
			}
			
			protected function titlewindow1_closeHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
		]]>
	</fx:Script>
	
	<mx:Grid paddingTop="10" paddingBottom="10" paddingLeft="10" paddingRight="10">
		<mx:GridRow>
			<mx:GridItem>
				<mx:VBox>
					<s:Label text="Empresa:"/>
					<visual:DsvPerfilEmpresa id="dsvPerfilEmpresa" tipoPesquisa="{DsvPerfilEmpresa.LISTAR_APENAS_LOJAS}" iniciarSelecionado="true" width="300"/>
				</mx:VBox>
			</mx:GridItem>
			<mx:GridItem>
				<mx:VBox>
					<s:Label text="Data Cheque:"/>
					<visual:IgnTextInputDate id="ignTextInputDateDataInicial" obrigatorio="true" text="{DateField.dateToString(new Date(), 'DD/MM/YYYY')}"/>
				</mx:VBox>
			</mx:GridItem>
			<mx:GridItem>
				<s:Button label="Gerar Arquivo" height="100%" click="gerarArquivo_clickHandler(event)" enabled="{!opRunning}"/>
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
</s:TitleWindow>